import { SVGProps } from 'react'

const IconTheft = (props: SVGProps<SVGSVGElement>) => (
  <svg
    {...props}
    width={40}
    height={40}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <mask
      id="a"
      style={{
        maskType: 'alpha'
      }}
      maskUnits="userSpaceOnUse"
      x={0}
      y={0}
      width={40}
      height={40}
    >
      <path fill="#C4C4C4" d="M0 0h40v40H0z" />
    </mask>
    <g mask="url(#a)">
      <path
        d="m33.723 32-19.63 5.23c-2.647.677-5.354-.861-6.031-3.507L2.83 14.092c-.677-2.646.861-5.354 3.508-6.03l19.63-5.232c2.647-.676 5.354.862 6.031 3.508l5.23 19.63c.678 2.585-.86 5.293-3.507 6.032Z"
        fill="#E1E4F4"
      />
      <path
        d="M22.338 32v-5.662c0-.677-.369-1.354-.984-1.662l-5.785-3.323a2.555 2.555 0 0 0-2.646 0l-5.785 3.323c-.615.37-.984.985-.984 1.662v.37l1.908 7.076c.123.43.246.8.43 1.108l4.431 2.523c.37 0 .8-.062 1.17-.185l3.322-.861 3.57-2.093c.861-.492 1.353-1.353 1.353-2.277Z"
        fill="#57617F"
      />
      <path
        d="M12.923 21.292a2.555 2.555 0 0 1 2.646 0l5.785 3.323c.615.37.984.985.984 1.661v5.662c0 .923-.492 1.846-1.354 2.277l-8.061-12.923Z"
        fill="#8698BF"
      />
      <path
        d="M14.277 30.522c0-.43-.246-.8-.554-.984L7.2 25.784c-.43-.246-.985.061-.985.554v.369l1.908 7.077c.123.43.246.8.43 1.108l4.432 2.523c.369 0 .738-.062 1.169-.185.123-.123.184-.308.184-.554v-6.154h-.061Z"
        fill="#57617F"
      />
      <path
        d="m7.139 24.615 6.153-3.57a1.962 1.962 0 0 1 1.847 0l6.153 3.57c.431.246.431.923 0 1.17l-6.523 3.753c-.369.185-.8.185-1.169 0l-6.523-3.754c-.37-.246-.37-.923.062-1.169Z"
        fill="#BFC6F2"
      />
      <path
        d="M24.862 5.6 8.615 10.707l-.676 4.554-2.647-1.538L4.8 18.83l2.4 1.416-.246 1.661 1.538-.861 8.37 4.861 2.584-3.877-6.338-3.692 3.2-1.846a4.23 4.23 0 0 1 4.184 0l8.308 4.985 3.262-7.016-7.2-8.861Z"
        fill="#2B2E3A"
      />
      <path
        d="M9.723 18.461c3.815-7.261 10.585-11.2 15.2-8.8 3.262 1.723 4.554 6.154 3.63 11.2-.06.492.432.8.8.616l3.447-1.97c.861-.492 1.6-1.169 2.092-2.03L31.938 6.338c-.676-2.646-3.446-4.184-6.03-3.508L6.277 8.061c-2.646.677-4.185 3.446-3.508 6.031l4.062 15.2c-.062-3.2.923-7.077 2.892-10.83Z"
        fill="#F97A7A"
      />
      <path
        d="m18.892 19.015.185-.308-.861-.492c-.062-.061-.123-.123-.247-.123-1.415-.738-3.569.492-4.738 2.77-1.17 2.215-1.23 4.676.123 5.415l1.108.615.246-.43c1.292-.185 2.83-1.293 3.692-2.954.923-1.6 1.046-3.385.492-4.493Z"
        fill="#2B2E3A"
      />
      <path
        d="M19.077 18.707c-1.416-.738-3.57.493-4.739 2.77-1.169 2.276-1.23 4.738.185 5.476 1.415.739 3.815-.492 4.985-2.769 1.169-2.277 1.046-4.738-.431-5.477Z"
        fill="#57617F"
      />
      <path
        d="m19.323 21.6-1.108-.616c-.738-.369-1.784.246-2.338 1.354-.616 1.108-.616 2.339.061 2.708l1.108.615.554-.984c.307-.247.615-.616.861-1.046.185-.37.308-.8.37-1.17l.492-.861Z"
        fill="#FFB75E"
      />
      <path
        d="M19.323 21.6c-.738-.37-1.784.246-2.338 1.354-.616 1.107-.616 2.338.061 2.707.739.37 1.908-.246 2.462-1.354.554-1.107.492-2.276-.185-2.707Z"
        fill="#FFD385"
      />
      <path
        d="M18.461 21.97c-.123-.062-.307.06-.43.245s-.123.431 0 .493c.123.061.369-.062.492-.247.061-.184.061-.43-.062-.492ZM18.461 24.677c-.123-.062-.307.061-.43.246-.123.184-.123.43 0 .492s.369-.061.492-.246c.061-.185.061-.43-.062-.492ZM19.692 22.707c-.123-.061-.307.062-.43.246-.123.185-.123.431 0 .493.123.061.369-.062.492-.247.123-.184.061-.43-.062-.492ZM17.292 24.123c-.123-.062-.308.061-.43.246-.124.185-.124.43 0 .492.122.062.369-.061.492-.246.123-.184.061-.43-.062-.492ZM14.277 35.938l1.354 1.477c-.8.492-1.846.492-2.646 0l-.923-.492 2.215-.985Z"
        fill="#57617F"
      />
      <path
        d="m21.354 25.784-6.523 3.754c-.37.185-.554.554-.554.985v6.215a.82.82 0 0 0 1.23.738l6.278-3.63c.369-.185.554-.554.554-.985v-6.523c0-.492-.554-.8-.985-.554Z"
        fill="#8698BF"
      />
      <path
        d="m17.416 29.291-1.539.862c-.184.123-.308.308-.308.492v4.923c0 .308.308.493.554.308l1.539-.861c.184-.124.308-.308.308-.493V29.6c.061-.308-.308-.492-.554-.308ZM20.677 27.445l-1.538.862c-.185.123-.308.308-.308.492v4.923c0 .308.308.493.554.308l1.538-.861c.185-.123.308-.308.308-.493v-4.923c.061-.308-.246-.492-.554-.308Z"
        fill="#57617F"
      />
    </g>
  </svg>
)

export default IconTheft
